
ChiliProject - Bug # 1111: use a monospace font in wiki-text

Status: Closed Priority: Normal
Author: Alf Gaida Category: Text formatting
Created: 2012-08-07 Assignee: Holger Just
Updated: 2012-08-20 Due date:
Remote issue URL:
Affected version:
Description: The wiki in browsers like rekonq, qupzilla etc is nearly unusable. Please consider the use of a monospace 

font in wiki-text.

Associated revisions
2008-04-26 12:20 pm - Jean-Philippe Lang 
Warn user that subprojects are also deleted when deleting a project (#1111) and add a checkbox to confirm the deletion.

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1359 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2012-08-07 10:11 am - Alf Gaida
pull request: https://github.com/chiliproject/chiliproject/pull/226

-- please ignore, wrong request --

2012-08-07 10:27 am - Felix Schäfer
Nice find on the Tahoma typo :-)

I don't have a linux desktop at hand to test the aforementioned browsers, could you provide a screenshot of the problem? I'm a bit puzzled by the 
solution too, I can understand that the font choice leads to shitty rendering on some platforms and I'm willing to try to improve it, I feel switching to a 
monospaced font altogether is a bit too radical though.

2012-08-07 08:33 pm - Alf Gaida
- File textarea1.jpg added

- File textarea.jpg added

the proposed change in application.css affects only the wiki-edit textarea. Samples attached.

* textarea.jpg - wiki-edit with monospaced
* textarea1.jpg - wiki-edit with a proportional font

Clarification: font-family monospaced should use the default browser or system font for monospaced fonts. in my case is this courier.

2012-08-20 08:15 pm - Alf Gaida
https://github.com/agaida/chiliproject/commit/8991b5fd6c201ddbc25d87767c8223c81f9ceb65

next try, without the magic of github:

public/stylesheets/application.css
<pre>
@@ -823,6 +823,8 @@ acronym {
 }
 textarea.wiki-edit {
+  font-family: monospace, courier;
+  font-size: 11px;
   width: 99%;
 }
 
@@ -2524,7 +2526,7 @@ h2 img {
  * This section includes the typography base for the body and heading elements.
  ------------------------------------------------------------------------------*/
 body {
-  font: normal normal normal 12px/1.5 arial,'lucida grandriale','lucida sans unicode',tahom,sans-serif;
+  font: normal normal normal 12px/1.5 arial,'lucida grandriale','lucida sans unicode',tahoma,sans-serif;
   background: #f3f3f3;
   color: #333;
 }
</pre>

2012-08-20 08:21 pm - Holger Just
- Assignee set to Holger Just

- Status changed from Open to Closed

Committed in commit:0e1a622

Files
textarea.jpg 237.3 kB 2012-08-07 Alf Gaida
textarea1.jpg 224.8 kB 2012-08-07 Alf Gaida
